Osi 0.107.9

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Attributes | List of all members
VOL_parms Struct Reference

This class contains the parameters controlling the Volume Algorithm. More...

`#include <OsiTestSolver.hpp>`

## Public Attributes
double | lambdainit
| initial value of lambda More...
double | alphainit
| initial value of alpha More...
double | alphamin
| minimum value for alpha More...
double | alphafactor
| when little progress is being done, we multiply alpha by alphafactor More...
double | ubinit
| initial upper bound of the value of an integer solution More...
double | primal_abs_precision
| accept if max abs viol is less than this More...
double | gap_abs_precision
| accept if abs gap is less than this More...
double | gap_rel_precision
| accept if rel gap is less than this More...
double | granularity
| terminate if best_ub - lcost < granularity More...
double | minimum_rel_ascent
| terminate if the relative increase in lcost through `ascent_check_invl` steps is less than this More...
int | ascent_first_check
| when to check for sufficient relative ascent the first time More...
int | ascent_check_invl
| through how many iterations does the relative ascent have to reach a minimum More...
int | maxsgriters
| maximum number of iterations More...
int | printflag
| controls the level of printing. More...
int | printinvl
| controls how often do we print More...
int | heurinvl
| controls how often we run the primal heuristic More...
int | greentestinvl
| how many consecutive green iterations are allowed before changing lambda More...
int | yellowtestinvl
| how many consecutive yellow iterations are allowed before changing lambda More...
int | redtestinvl
| how many consecutive red iterations are allowed before changing lambda More...
int | alphaint
| number of iterations before we check if alpha should be decreased More...
char * | temp_dualfile
| name of file for saving dual solution More...

## Detailed Description

This class contains the parameters controlling the Volume Algorithm.

Definition at line 73 of file OsiTestSolver.hpp.

## Member Data Documentation

double VOL_parms::lambdainit

initial value of lambda

Definition at line 75 of file OsiTestSolver.hpp.

double VOL_parms::alphainit

initial value of alpha

Definition at line 77 of file OsiTestSolver.hpp.

double VOL_parms::alphamin

minimum value for alpha

Definition at line 79 of file OsiTestSolver.hpp.

double VOL_parms::alphafactor

when little progress is being done, we multiply alpha by alphafactor

Definition at line 81 of file OsiTestSolver.hpp.

double VOL_parms::ubinit

initial upper bound of the value of an integer solution

Definition at line 84 of file OsiTestSolver.hpp.

double VOL_parms::primal_abs_precision

accept if max abs viol is less than this

Definition at line 87 of file OsiTestSolver.hpp.

double VOL_parms::gap_abs_precision

accept if abs gap is less than this

Definition at line 89 of file OsiTestSolver.hpp.

double VOL_parms::gap_rel_precision

accept if rel gap is less than this

Definition at line 91 of file OsiTestSolver.hpp.

double VOL_parms::granularity

terminate if best_ub - lcost < granularity

Definition at line 93 of file OsiTestSolver.hpp.

double VOL_parms::minimum_rel_ascent

terminate if the relative increase in lcost through `ascent_check_invl` steps is less than this

Definition at line 97 of file OsiTestSolver.hpp.

int VOL_parms::ascent_first_check

when to check for sufficient relative ascent the first time

Definition at line 99 of file OsiTestSolver.hpp.

int VOL_parms::ascent_check_invl

through how many iterations does the relative ascent have to reach a minimum

Definition at line 102 of file OsiTestSolver.hpp.

int VOL_parms::maxsgriters

maximum number of iterations

Definition at line 105 of file OsiTestSolver.hpp.

int VOL_parms::printflag

controls the level of printing.

The flag should the the 'OR'-d value of the following options:

- 0 - print nothing
- 1 - print iteration information
- 2 - add lambda information
- 4 - add number of Red, Yellow, Green iterations

Default: 3

Definition at line 117 of file OsiTestSolver.hpp.

int VOL_parms::printinvl

controls how often do we print

Definition at line 119 of file OsiTestSolver.hpp.

int VOL_parms::heurinvl

controls how often we run the primal heuristic

Definition at line 121 of file OsiTestSolver.hpp.

int VOL_parms::greentestinvl

how many consecutive green iterations are allowed before changing lambda

Definition at line 125 of file OsiTestSolver.hpp.

int VOL_parms::yellowtestinvl

how many consecutive yellow iterations are allowed before changing lambda

Definition at line 128 of file OsiTestSolver.hpp.

int VOL_parms::redtestinvl

how many consecutive red iterations are allowed before changing lambda

Definition at line 131 of file OsiTestSolver.hpp.

int VOL_parms::alphaint

number of iterations before we check if alpha should be decreased

Definition at line 134 of file OsiTestSolver.hpp.

char* VOL_parms::temp_dualfile

name of file for saving dual solution

Definition at line 137 of file OsiTestSolver.hpp.

The documentation for this struct was generated from the following file:

- /tmp/Osi-0.107.9/Osi/test/OsiTestSolver.hpp